Unbind
Storage

Create Volume (PVC)

Create a volume (persistent volume claim).

POST
/storage/pvc/create

Create a volume (persistent volume claim).

Authorization

bearerAuth
AuthorizationBearer <token>

Access token or API key (unb_...) passed as Authorization: Bearer <token>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

capacity_gb*number
Formatdouble
description?string
environment_id?string
Formatuuid
mount_path?string

Path to mount the volume at on the service, requires service_id

name*string

Has to be unique among the volumes of the same scope. A taken name gets a short suffix, so read the name from the response

Length1 <= length <= 32
project_id?string
Formatuuid
service_id?string

Service to attach the volume to, requires mount_path

Formatuuid
team_id*string
Formatuuid
type*PvcScope

Value in

  • "team"
  • "project"
  • "environment"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/storage/pvc/create" \  -H "Content-Type: application/json" \  -d '{    "capacity_gb": 0.1,    "name": "string",    "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba",    "type": "team"  }'
{  "data": {    "can_delete": true,    "capacity_gb": 0.1,    "created_at": "2019-08-24T14:15:22Z",    "description": "string",    "environment_id": "40ef0e48-a11f-4963-a229-e396c9f7e7c4",    "id": "string",    "is_available": true,    "is_database": true,    "is_deleting": true,    "is_pending_resize": true,    "mount_path": "string",    "mount_status": "unattached",    "mounted_on_service_id": "6de1f4a4-7b8e-4432-bffa-782791ce061a",    "name": "string",    "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",    "requested_gb": 0.1,    "status": "Pending",    "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba",    "type": "team",    "used_gb": 0.1  }}